"use client";
import { jsx } from 'react/jsx-runtime';
import { SignUpWithFingerprint } from './signup-with-fingerprint-client.mjs';
import { SignInWithFingerprint } from './signin-with-fingerprint-client.mjs';

/**
 * Create a SignUp page with fingerprint support
 * Note: This must be used within a FingerprintProvider
 */
function createSignUpPageWithFingerprint() {
    return function SignUpPage() {
        return (jsx("div", { className: "flex-1 flex justify-center m-16", children: jsx(SignUpWithFingerprint, {}) }));
    };
}
/**
 * Create a SignIn page with fingerprint support
 * Note: This must be used within a FingerprintProvider
 */
function createSignInPageWithFingerprint() {
    return function SignInPage() {
        return (jsx("div", { className: "flex-1 flex justify-center m-16", children: jsx(SignInWithFingerprint, {}) }));
    };
}

export { createSignInPageWithFingerprint, createSignUpPageWithFingerprint };
